﻿<div id="reset-dom" class="app-zone">
    <div class="inner">
        <h3 class="app-zone-title form-title">Reset your password</h3>
        <div class="form-error reset-error" data-bind="if: error()">
            <span data-bind="text: error"></span>
        </div>
        <form id="form-reset" method="post" action="#/reset" data-bind="with: ResetModel">
            <div class="inner" data-bind="validationOptions: { insertMessages: false }">
                <div class="form-field">
                    <label>Account name:</label>
                    <input class="app-textbox" type="text" name="Username" data-bind="value: Username, valueUpdate: 'afterkeydown'" />
                    <div class="validationMessage" data-bind="validationMessage: Username"></div>
                </div>
                <div class="form-field">
                    <label>New password:</label>
                    <input class="app-textbox" type="password" name="Password" data-bind="value: Password, valueUpdate: 'afterkeydown'" />
                    <div class="validationMessage" data-bind="validationMessage: Password"></div>
                </div>
                <div class="form-field">
                    <label>Password confirmation:</label>
                    <input class="app-textbox" type="password" name="PasswordConfirm" data-bind="value: PasswordConfirm, valueUpdate: 'afterkeydown'" />
                    <div class="validationMessage" data-bind="validationMessage: PasswordConfirm"></div>
                </div>
                <div class="form-field">
                    <label>Code:</label>
                    <input class="app-textbox" type="text" name="Code" data-bind="value: Code, valueUpdate: 'afterkeydown'" />
                    <div class="validationMessage" data-bind="validationMessage: Code"></div>
                </div>
                <div class="form-field reset-action">
                    <a class="app-simple-link font-small" href="#/login">back</a>
                    <input class="app-button no-border" type="submit" value="Reset my password" data-bind="enable: isValid() && !$parent.loading(), click: $parent.submit"/>
                    <div class="loading-gif micro" style="display: none;"></div>
                </div>
            </div>
        </form>
    </div>
</div>